Bug 238411 - I am very new. I write here becouse the message tell send to bugzilla. I do it. help need, thanks
I am very new. I write here becouse the message tell send to bugzilla. I do i...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-30 07:33 EDT by guillermo lorenzo
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-02 17:54:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the text teeling all about error. this happend in yum installed new resources: I don't know how erased this now !. (164.56 KB, text/plain)
2007-04-30 07:33 EDT, guillermo lorenzo
no flags Details

  None (edit)
Description guillermo lorenzo 2007-04-30 07:33:29 EDT
Component: Software Manager
Summary: TB19c9154a kernel-module.py:60:preresolve_hook:AttributeError:
'RPMDBPackageSack' object has no attribute 'getPackages'

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 334, in _apply
    self.applyChanges(self.mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 557, in
applyChanges
    self.checkDeps(mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 326, in checkDeps
    (result, msgs) = self.buildTransaction()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 447, in
buildTransaction
    self.plugins.run('preresolve')
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 153, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/kernel-module.py", line 60, in preresolve_hook
    instpkgs = conduit.getRpmDB().getPackages()
AttributeError: 'RPMDBPackageSack' object has no attribute 'getPackages'

Local variables in innermost frame:
kernels: []
tsmem: yum-fedorakmod.noarch 0-1.0.4-1.el5.centos - e
pkgs: [<yum.sqlitesack.YumAvailablePackageSqlite object at 0x8a6350c>,
<yum.sqlitesack.YumAvailablePackageSqlite object at 0x8a6340c>,
<yum.sqlitesack.YumAvailablePackageSqlite object at 0x8a6348c>,
<yum.sqlitesack.YumAvailablePackageSqlite object at 0x8a6342c>,
<yum.sqlitesack.YumAvailablePackageSqlite object at 0x8a6344c>,
<yum.sqlitesack.YumAvailablePackageSqlite object at 0x8a633cc>,
<yum.sqlitesack.YumAvailablePackageSqlite object at 0x8a6338c>,
.....
<yum.sqlitesack.YumAvailablePackageSqlite object at 0xad56a0c>,
<yum.sqlitesack.YumAvailablePackageSqlite object at 0xad56b4c>,
<yum.sqlitesack.YumAvailablePackageSqlite object at 0xad56c8c>,
<yum.sqlitesack.YumAvailablePackageSqlite object at 0xad56dcc>]
conduit: <yum.plugins.DepsolvePluginConduit instance at 0x894a5ec>
ts: <yum.transactioninfo.ConditionalTransactionData instance at 0x84fdd2c>
Comment 1 guillermo lorenzo 2007-04-30 07:33:29 EDT
Created attachment 153784 [details]
the text teeling all about error. this happend in yum installed new resources: I don't know how erased this now !.
Comment 2 David Lawrence 2007-05-01 14:48:06 EDT
Changing to proper component and product.
Comment 3 Jeremy Katz 2007-05-02 17:54:51 EDT
If you do 'yum --noplugins update yum*', it should fix it.  This is a problem in
a released yum plugin

Note You need to log in before you can comment on or make changes to this bug.